/* Disable Foreign Keys */
pragma foreign_keys = off;
/* Begin Transaction */
begin transaction;

/* Database [database_default] */
pragma auto_vacuum=0;
pragma encoding='UTF-8';
pragma page_size=1024;

-- Added setting 47 "Multiball 2 Locked ball expiration"
INSERT INTO [main].[setting](
    [id],
    [title],
    [description],
    [options],
    [increments],
    [units],
    [format],
    [default],
    [value])
VALUES(
    47,
    'Locked ball expiration',
    NULL,
    '5,20',
    '1',
    's',
    NULL,
    '10',
    '10');

-- Added setting 48 "PinMAME ROM"
INSERT INTO [main].[setting](
    [id],
    [title],
    [description],
    [options],
    [increments],
    [units],
    [format],
    [default],
    [value])
VALUES(
    48,
    'PinMAME ROM',
    NULL,
    'bop_l6,bop_l7',
    NULL,
    NULL,
    NULL,
    'bop_l6',
    'bop_l7'); -- Make bop_l7 the selected value (which it isn't in database_default.db) since that's what users have previously been playing and it contains the settings.

/* Drop table [main].[menuitem] */
drop table if exists [main].[menuitem];

/* Table structure [main].[menuitem] */
CREATE TABLE [main].[menuitem] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [title] VARCHAR NOT NULL,
  [type] VARCHAR,
  [data] VARCHAR,
  [order] INTEGER,
  [level] INTEGER);

/* Data [main].[menuitem] */
insert into [main].[menuitem] values(1, 'Main menu', '', '', 0, 0);
insert into [main].[menuitem] values(2, 'Test Menu', '', '', 1, 1);
insert into [main].[menuitem] values(3, 'Switch Test', 'MenuItem_Test_Switch', '', 2, 2);
insert into [main].[menuitem] values(4, 'Solenoid Test', '', '', 3, 2);
insert into [main].[menuitem] values(5, 'Ball Release', 'MenuItem_Test_Solenoid', 'ballRelease', 4, 3);
insert into [main].[menuitem] values(6, 'Lock Post', 'MenuItem_Test_Solenoid', 'lockPost', 5, 3);
insert into [main].[menuitem] values(7, 'Outhole', 'MenuItem_Test_Solenoid', 'outhole', 6, 3);
insert into [main].[menuitem] values(8, 'Scoop', 'MenuItem_Test_Solenoid', 'scoop', 7, 3);
insert into [main].[menuitem] values(9, 'Skillshot Kicker', 'MenuItem_Test_Solenoid', 'skillshotKicker', 8, 3);
insert into [main].[menuitem] values(10, 'Mini Playfield Gate', 'MenuItem_Test_Solenoid', 'miniGate', 9, 3);
insert into [main].[menuitem] values(11, 'Head Mouth', 'MenuItem_Test_Solenoid', 'headMouth', 10, 3);
insert into [main].[menuitem] values(12, 'Head Left Eye', 'MenuItem_Test_Solenoid', 'headLeftEye', 11, 3);
insert into [main].[menuitem] values(13, 'Head Right Eye', 'MenuItem_Test_Solenoid', 'headRightEye', 12, 3);
insert into [main].[menuitem] values(14, 'Jet Left', 'MenuItem_Test_Solenoid', 'jetL', 13, 3);
insert into [main].[menuitem] values(15, 'Jet Right', 'MenuItem_Test_Solenoid', 'jetR', 14, 3);
insert into [main].[menuitem] values(16, 'Jet Bottom', 'MenuItem_Test_Solenoid', 'jetB', 15, 3);
insert into [main].[menuitem] values(17, 'Jets Slingshot', 'MenuItem_Test_Solenoid', 'jetsSling', 16, 3);
insert into [main].[menuitem] values(18, 'Slingshot Left', 'MenuItem_Test_Solenoid', 'slingL', 17, 3);
insert into [main].[menuitem] values(19, 'Slingshot Right', 'MenuItem_Test_Solenoid', 'slingR', 18, 3);
insert into [main].[menuitem] values(20, 'Knocker', 'MenuItem_Test_Solenoid', 'knocker', 19, 3);
insert into [main].[menuitem] values(21, 'Adjustment Menu', '', '', 20, 1);
insert into [main].[menuitem] values(22, 'Game', '', '', 21, 2);
insert into [main].[menuitem] values(23, 'Balls per game', 'MenuItem_Setting', '1', 22, 3);
insert into [main].[menuitem] values(24, 'Tilt', '', '', 23, 3);
insert into [main].[menuitem] values(25, 'Tilt warnings', 'MenuItem_Setting', '2', 24, 4);
insert into [main].[menuitem] values(26, 'Tilt warning gap', 'MenuItem_Setting', '3', 25, 4);
insert into [main].[menuitem] values(27, 'Head position', 'MenuItem_Setting', '7', 26, 3);
insert into [main].[menuitem] values(28, 'Lock pulse length', 'MenuItem_Setting', '25', 27, 3);
insert into [main].[menuitem] values(29, 'Rules', '', '', 28, 2);
insert into [main].[menuitem] values(30, 'First ball saver', 'MenuItem_Setting', '4', 29, 3);
insert into [main].[menuitem] values(31, 'Later ball savers', 'MenuItem_Setting', '20', 30, 3);
insert into [main].[menuitem] values(32, 'Multiball 1', '', '', 31, 3);
insert into [main].[menuitem] values(33, 'Jackpots required', 'MenuItem_Setting', '41', 32, 4);
insert into [main].[menuitem] values(34, 'Power Charge time', 'MenuItem_Setting', '8', 33, 3);
insert into [main].[menuitem] values(35, 'Values doubled time', 'MenuItem_Setting', '9', 34, 3);
insert into [main].[menuitem] values(36, 'Wheel', '', '', 35, 3);
insert into [main].[menuitem] values(37, 'JP incr. per mode', 'MenuItem_Setting', '10', 36, 4);
insert into [main].[menuitem] values(38, 'Small wheel', '', '', 37, 4);
insert into [main].[menuitem] values(39, '50K mode time', 'MenuItem_Setting', '11', 38, 5);
insert into [main].[menuitem] values(40, '100K mode time', 'MenuItem_Setting', '12', 39, 5);
insert into [main].[menuitem] values(41, '250K mode time', 'MenuItem_Setting', '13', 40, 5);
insert into [main].[menuitem] values(42, 'EB mode', '', '', 41, 5);
insert into [main].[menuitem] values(43, 'EB mode time', 'MenuItem_Setting', '14', 42, 6);
insert into [main].[menuitem] values(44, 'Lanes can unlite', 'MenuItem_Setting', '46', 43, 6);
insert into [main].[menuitem] values(45, 'Lite EB mode time', 'MenuItem_Setting', '15', 44, 5);
insert into [main].[menuitem] values(46, 'Lite JP mode time', 'MenuItem_Setting', '16', 45, 5);
insert into [main].[menuitem] values(47, 'Sound', '', '', 46, 2);
insert into [main].[menuitem] values(48, 'Sound volume', 'MenuItem_Setting', '5', 47, 3);
insert into [main].[menuitem] values(49, 'Display', '', '', 48, 2);
insert into [main].[menuitem] values(50, 'Dots shape', 'MenuItem_Setting', '29', 49, 3);
insert into [main].[menuitem] values(51, 'Scale', 'MenuItem_Setting', '33', 50, 3);
insert into [main].[menuitem] values(52, 'Vertical position', 'MenuItem_Setting', '35', 51, 3);
insert into [main].[menuitem] values(53, 'Horizontal position', 'MenuItem_Setting', '36', 52, 3);
insert into [main].[menuitem] values(54, 'Dots color', '', '', 53, 3);
insert into [main].[menuitem] values(55, 'Preset', 'MenuItem_Setting', '28', 54, 4);
insert into [main].[menuitem] values(56, 'Custom Red', 'MenuItem_Setting', '30', 55, 4);
insert into [main].[menuitem] values(57, 'Custom Green', 'MenuItem_Setting', '31', 56, 4);
insert into [main].[menuitem] values(58, 'Custom Blue', 'MenuItem_Setting', '32', 57, 4);
insert into [main].[menuitem] values(59, 'Background color', '', '', 58, 3);
insert into [main].[menuitem] values(60, 'Preset', 'MenuItem_Setting', '37', 59, 4);
insert into [main].[menuitem] values(61, 'Custom Red', 'MenuItem_Setting', '38', 60, 4);
insert into [main].[menuitem] values(62, 'Custom Green', 'MenuItem_Setting', '39', 61, 4);
insert into [main].[menuitem] values(63, 'Custom Blue', 'MenuItem_Setting', '40', 62, 4);
insert into [main].[menuitem] values(64, 'Window border', 'MenuItem_Setting', '34', 63, 3);
insert into [main].[menuitem] values(65, 'Live', '', '', 64, 2);
insert into [main].[menuitem] values(66, 'Live enabled', 'MenuItem_Setting', '23', 65, 3);
insert into [main].[menuitem] values(67, 'Live host', 'MenuItem_Setting', '24', 66, 3);
insert into [main].[menuitem] values(68, 'Localization', '', '', 67, 2);
insert into [main].[menuitem] values(69, 'Euro score format', 'MenuItem_Setting', '19', 68, 3);
insert into [main].[menuitem] values(70, 'Peripherals', '', '', 69, 2);
insert into [main].[menuitem] values(71, 'Betabrite', '', '', 70, 3);
insert into [main].[menuitem] values(72, 'BetaBrite', 'MenuItem_Setting', '17', 71, 4);
insert into [main].[menuitem] values(73, 'BetaBrite COM Port', 'MenuItem_Setting', '18', 72, 4);
insert into [main].[menuitem] values(74, 'Player Profiles', 'MenuItem_PlayerProfiles', '', 73, 1);
insert into [main].[menuitem] values(75, 'Software Menu', '', '', 74, 1);
insert into [main].[menuitem] values(76, 'Current version', 'MenuItem_Setting', '0', 75, 2);
insert into [main].[menuitem] values(77, 'Version select', 'MenuItem_VersionSelect', '', 76, 2);
insert into [main].[menuitem] values(78, 'USB update', 'MenuItem_USBUpdate', '', 77, 2);
insert into [main].[menuitem] values(79, 'Pinmame ROM', 'MenuItem_Setting', '48', 78, 2);

/* Commit Transaction */
commit transaction;

/* Enable Foreign Keys */
pragma foreign_keys = on;
